import { CategoryXAxis } from "./CategoryXAxis";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { FastItemsSourceEventArgs } from "igniteui-react-core/ES2015/FastItemsSourceEventArgs";
import { IList$1, Type } from "igniteui-react-core/ES2015/type";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { IGetItemAtIndex } from "igniteui-react-core/ES2015/IGetItemAtIndex";
export declare class OrdinalTimeXAxis extends CategoryXAxis implements ITimeRangeSelectorAxis {
    constructor();
    protected gn(a: any, b: string, c: any, d: any): void;
    private lh;
    actualMinimumValue: Date;
    private lg;
    actualMaximumValue: Date;
    private lj;
    visibleMinimum: Date;
    private li;
    visibleMaximum: Date;
    protected kc(a: FastItemsSourceEventArgs): void;
    private lv();
    private lw();
    private lo;
    lq: string;
    private le;
    private lf;
    protected hb(a: Rect, b: Rect): void;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    private lc;
    actualRangeChanged: (sender: any, e: AxisRangeChangedEventArgs) => void;
    readonly ld: TimeAxisLabelFormatCollection;
    private lu(a, b);
    gp(a: string): void;
    e0(a: any): any;
    private readonly lt;
    protected kq(): IGetItemAtIndex;
    protected ha(a: Rect, b: Rect): void;
    protected kw(a: number, b: ScalerParams): number;
    protected kv(a: number, b: number, c: boolean, d: ScalerParams): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $t: Type;
}
